package com.cesgroup.kingkong.web;

import com.cesgroup.common.utils.ApiResponse;
import com.cesgroup.common.utils.ApiResponseEnum;
import com.cesgroup.common.utils.ApiResultUtil;
import com.cesgroup.kingkong.entity.IPCheckEntity;
import com.cesgroup.kingkong.service.IPCheckService;
import com.cesgroup.kingkong.web.bind.annotation.KingkongRestController;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.Map;

/**
 * @program: kyb-search
 * @description: 测试接口
 * @author: Wanjianbin
 * @create: 2019-08-27 15:32
 **/
@KingkongRestController
@RequestMapping("/test")
public class TestController extends BaseServiceController<IPCheckEntity, IPCheckService> {

    @PostMapping
    public ApiResponse test(Map params){

        return ApiResultUtil.getApiResponse(null, ApiResponseEnum.SUCCESS);
    }
}
